Hot answers tagged

11 votes
Accepted

Error 0 Cannot open file for writing log while updating

Sounds like a permissions issue. In the Joomla backend, go to: System (top menu) >> System Information >> Directory Permissions Make sure all files and folders apart from the global configuration....
user avatar
  • 26.5k
10 votes
Accepted

Joomla 3.6.0 to 3.6.1 results in a "invalid security token" error

If you don't have Akeeba Backup installed: Go back to the Joomla Update page Upload and install the Joomla 3.6.1 Update Package using the "Upload & Update" tab Go to Extensions >> ...
user avatar
  • 26.5k
9 votes
Accepted

Fatal error: require_once(): Failed opening | Use of undefined constant DS - assumed 'DS'

This is not coming from Joomla core, but from a 3rd party (likely custom developed) component that exist in your site. First see if you really need/use this component, or you can simply uninstall it. ...
user avatar
  • 19.5k
9 votes
Accepted

How to permanently remove/disable default Joomla templates

You can't prevent Joomla from upgrading her core templates. They are in there for a reason as a part of default installation. I am afraid you will just have to learn how to live with them. I did the ...
user avatar
  • 3,017
8 votes
Accepted

How to manage multiple Joomla sites and their updates

mysites.guru (formerly myjoomla.com) does everything you are asking for: ✔ manage Joomla websites at different versions centrally for different clients ✔ update Joomla ✔ update extensions plus a great ...
user avatar
8 votes

Joomla 3.6.0 to 3.6.1 results in a "invalid security token" error

Details about this issue can now be found in the Joomla Docs: What is the cause? 3.6.1 introduced a CSRF token check to the update component as an extra level of security. 3.6.0 down to 2.5.4 (...
user avatar
  • 13.3k
7 votes
Accepted

Update Search Plugin from Joomla 2.5 to Joomla 3.x

Suggested readings are "Adapting a Joomla 1.5 extension to Joomla 2.5" and the "Creating A Search Plugin" article on Joomla Docs. Actually, that code look's like a Joomla! 1.5 era search plugin. ...
user avatar
  • 1,749
7 votes
Accepted

No notification to update to latest Joomla version

This is usually caused by the cache mechanisms in Joomla. It has nothing to do with the Joomla 2.5. eol. Clear Cache and purge expired cache from the maintenance menu, and also it usually helps if ...
user avatar
  • 19.5k
7 votes

PHP version not updated when installing Joomla 3.3.6

As others pointed out, Joomla does not install PHP. Upgrading or installing Joomla will not change your PHP version. PHP is usually installed and updated by your hosting company (or by yourself if you ...
user avatar
  • 13.3k
7 votes
Accepted

Can't edit article after Joomla 3.4.7 update

The were session storage changes in the Joomla 3.4.7 update. To fix the issue, you simply need to logout and log back in before you can make any article changes. Reference: https://docs.joomla.org/...
user avatar
  • 26.5k
6 votes

PHP version not updated when installing Joomla 3.3.6

Joomla is not shipped with PHP, therefore if you update Joomla, it will not update your PHP version. PHP is a server side language and must be upgraded my either yourself or your host. Only some ...
user avatar
  • 26.5k
6 votes
Accepted

Update Server for template

I think the article is not up-to-date because update server is working properly with template. Here's the code I use in the templateDetails.xml <updateservers> <server type="extension" ...
user avatar
  • 2,388
6 votes
Accepted

Is there a better way to stop update email notifications than disabling the system plugin?

Unfortunately not. It's an "opt-out" feature to encourage more people to keep their sites up to date. Loads of people either forget or don't think it's important so telling them straight away rather ...
user avatar
  • 26.5k
5 votes
Accepted

Upgrade Joomla 3.4 RC to 3.4 final

I just did a quick test, and it looks like you can unzip the Joomla 3.4 Full package to your testing environment, overwriting any existing files. After removing the installation folder (not required ...
user avatar
  • 13.3k
5 votes

Joomla 3.6.0 to 3.6.1 results in a "invalid security token" error

I also had the same error message after upgrading 3.6.0 -> 3.6.1: 0 Failed to start the session: already started by PHP ($_SESSION is set). To resolve, you need to use PHP Selector and change from 5....
user avatar
  • 51
5 votes

How to permanently remove/disable default Joomla templates

What I do is to go in: Extensions -> Manage and disable any extensions, templates that I don't use. Of course if we are talking about 3rd party extensions, I totally uninstall them - but disable ...
user avatar
  • 19.5k
5 votes
Accepted

Your PHP Version Will Be Unsupported in Joomla! 3.3

its a bug that will be fixed in the next release - nothing to worry about
user avatar
4 votes

No notification to update to latest Joomla version

Go to the extension manager and select the update tab Click on purge cache Click on find updates Go to Control Panel. The joomla updater will now report an update available.
user avatar
4 votes

How to keep overrides updated?

For Joomla! 4.x users: finding any updated files overridden in any extension easily. The update script of Joomla! will create/modify the icon Override(s) to Check on Home Dashboard. If clicked on ...
user avatar
  • 41
4 votes

Upgrade Joomla 3.4 RC to 3.4 final

Generally whilst we state that there is no upgrade path generally you can upgrade between releases fine. Especially on test sites. The differences occur for example during alpha1 and beta1 we ...
user avatar
4 votes
Accepted

Joomla takes 10 to 15 minutes to update site

In the admin view, go to Extensions > Plugins menu and search/find the system cache plugin. My guess is it's active, and regardless of whether you've enabled cache in your global parameters; if this ...
user avatar
  • 1,396
4 votes

Update server for a package or individual extention

After 3 days of struggle, I am able to find a way for auto update the package. Not sure whether this is the correct way. But it works for my scenario. Updateservers Assume my component name is ...
user avatar
  • 2,651
4 votes

Joomla 3.4.8 update to 3.5 giving 'Uncaught TypeError: window.pingExtract is not a function' in console

I had the exact same issue on two 3.5.0 instances. Turns out that media/com_joomlaupdate was missing the /js directory. The file update.js in the /js directory is what declares pingExtract I ...
user avatar
  • 41
4 votes

Mass Joomla sites Updates / Maintenance

I could suggest the following: Watchful.li A subscription based service, to monitor, audit, backup, manage, update Joomla sites remotely from a single location. You install the Watchful.li client ...
user avatar
  • 19.5k
4 votes

Ajax error when attempting component updates

I recently encountered this XMLHttpRequest error myself. The root of the problem caused 3 different issues. SOLUTION: In my case, the problem was caused by an incorrect setting for the public $...
user avatar
  • 2,330
4 votes
Accepted

Security Alternative to updating to 3.6.4

GRR stop modifying core files! Apart from some basic XML files being updated to cater for the version, only 3 actual core PHP files were updated to fix the security exploit. administrator\components\...
user avatar
  • 26.5k
4 votes
Accepted

Problem accessing individual modules after update to joomla 3.6.4

If anyone else runs into this, clear your browser and joomla cache. The javascript handling the module manager UI was changed and conflicts with what is stored.
user avatar
  • 537
4 votes

How to use Github as an auto-update deployment server for Joomla 3.x extension

Have a look at the Weblinks repo It does exactly what you want to do. The updateserver points to the manifest hosted on that repo. Download packages are served from the repo as well. Of course you ...
user avatar
  • 5,527
4 votes

Manually update Joomla 3.5+ to latest version

Many posts around say that you shouldn't manually update Joomla 3.5+. And there are various reasons that this is good advice. However, you can manually update Joomla 3.5+ to the latest version (...
user avatar
4 votes
Accepted

Unable to deploy updateserver for site module

You have to add a client element in your updater xml: <client>site</client> Joomla seems to take the admin as the default. I tried out your xml and found that joomla was indeed finding ...
user avatar

Only top scored, non community-wiki answers of a minimum length are eligible